const states = global.get('homeassistant.homeAssistant.states')
const occupied = states["binary_sensor.basement_occupied"].state
const quiet = states["input_boolean.studio_quiet"].state
const deskState = states["light.tina_desk_lights"].state
const livingRoomState = states["light.living_room_lights"].state
const diningRoomState = states["light.dining_room_lamp"].state
const basementState = states["light.basement_studio_lights"].state
const where = msg.payload.event.where
const type = msg.payload.event.type
const duration = msg.payload.event.duration

let firstFloorLights = []
let basementLights = []

if (deskState === 'on') {
    firstFloorLights.push('light.tina_desk_strip','light.tina_lamp_top','light.tina_lamp_side')
}

if (livingRoomState === 'on') {
    firstFloorLights.push('light.living_room_color_1','light.living_room_color_2','light.living_room_color_3','light.living_room_led_strip')
}

if (diningRoomState === 'on') {
    firstFloorLights.push('light.dining_room_lamp')
}

if (basementState === 'on') {
    basementLights.push('light.basement_tall_lamp','light.basement_short_lamp','light.basement_stairwell','light.basement_led_strip_1')
}

flow.set("deskState", deskState)
flow.set("livingRoomState", livingRoomState)
flow.set("diningRoomState", diningRoomState)
flow.set("basementState", basementState)

// let segLivingRoom = [].concat(segLivingRoom1, segLivingRoom2)
